clear all
clc

N_ss = 2
A = 1:(12*5);
A = A.';
s_parser = 2;
S_parser = N_ss*s_parser;

A1 = (12*5+1):(12*5*2);
A1 = A1.';

B1 = reshape(A,S_parser,[]);
B2 = reshape(A1,S_parser,[]);

B3 = [B1;B2];


B =  reshape(B3,s_parser,[]);

size(B,2)

C = [];



for i = 1:N_ss
    C = B(:,i:N_ss:end)
    
    D(:,i) = reshape(C,1,[]) 
    
end

E = []
for i = 1:N_ss
    E = [ E; reshape(D(:,i),s_parser,[]) ];
    
end

E = reshape(E,[],1);

E = reshape(E,S_parser,[]);

for i = 1:2
F(:,i) = reshape(E(:,i:2:end),[],1);
end
1



